Index: /mods/mod_amazon/PayWithAmazon/Client.php
===================================================================
--- /mods/mod_amazon/PayWithAmazon/Client.php	(revision 7755)
+++ /mods/mod_amazon/PayWithAmazon/Client.php	(revision 7756)
@@ -435,66 +529,170 @@
      * @optional currency_code - [String]
      */
-
     private function setProviderCreditReversalDetails($parameters, $providerCreditInfo)
     {
-	$providerIndex = 0;
-	$providerString = 'ProviderCreditReversalList.member.';
-
-        $fieldMappings = array(
-            'provider_id' 	   	=> 'ProviderId',
-            'credit_reversal_amount' 	=> 'CreditReversalAmount.Amount',
-            'currency_code' 		=> 'CreditReversalAmount.CurrencyCode'
-        );
-
-	foreach ($providerCreditInfo as $key => $value)
-	{
-	    $value = array_change_key_case($value, CASE_LOWER);
-	    $providerIndex = $providerIndex + 1;
-
-	    foreach ($value as $param => $val)
-	    {
-		if (array_key_exists($param, $fieldMappings) && trim($val)!='') {
-		    $parameters[$providerString.$providerIndex. '.' .$fieldMappings[$param]] = $val;
-		}
-	    }
-
-	    // If currency code is not entered take it from the config array
-	    if(empty($parameters[$providerString.$providerIndex. '.' .$fieldMappings['currency_code']]))
-	    {
-		$parameters[$providerString.$providerIndex. '.' .$fieldMappings['currency_code']] = strtoupper($this->config['currency_code']);
-	    }
-	}
-
-	return $parameters;
+        $providerIndex = 0;
+        $providerString = 'ProviderCreditReversalList.member.';
+
+        $fieldMappings = array(
+            'provider_id'            => 'ProviderId',
+            'credit_reversal_amount' => 'CreditReversalAmount.Amount',
+            'currency_code'          => 'CreditReversalAmount.CurrencyCode'
+        );
+
+        foreach ($providerCreditInfo as $key => $value) {
+            $value = array_change_key_case($value, CASE_LOWER);
+            $providerIndex = $providerIndex + 1;
+
+            foreach ($value as $param => $val) {
+                if (array_key_exists($param, $fieldMappings) && trim($val)!='') {
+                    $parameters[$providerString.$providerIndex. '.' .$fieldMappings[$param]] = $val;
+                 }
+            }
+
+            // If currency code is not entered take it from the config array
+            if (empty($parameters[$providerString.$providerIndex. '.' .$fieldMappings['currency_code']])) {
+                $parameters[$providerString.$providerIndex. '.' .$fieldMappings['currency_code']] = strtoupper($this->config['currency_code']);
+            }
+        }
+
+        return $parameters;
+    }
+
+    /* GetMerchantAccountStatus API call - Returns the status of the Merchant Account.
+     * @see TODO
+
+     * @param requestParameters['merchant_id'] - [String]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     */
+    public function getMerchantAccountStatus($requestParameters = array())
+    {
+        $parameters           = array();
+        $parameters['Action'] = 'GetMerchantAccountStatus';
+        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
+
+        $fieldMappings = array(
+            'merchant_id'         => 'SellerId',
+            'mws_auth_token'      => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
     }
 
     /* GetOrderReferenceDetails API call - Returns details about the Order Reference object and its current state.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_GetOrderReferenceDetails.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751970
      *
      * @param requestParameters['merchant_id'] - [String]
      * @param requestParameters['amazon_order_reference_id'] - [String]
      * @optional requestParameters['address_consent_token'] - [String]
-     * @optional requestParameters['mws_auth_token'] - [String]
-     */
-
+     * @optional requestParameters['access_token'] - [String]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     *
+     * You cannot pass both address_consent_token and access_token in
+     * the same call or you will encounter a 400/"AmbiguousToken" error
+     */
     public function getOrderReferenceDetails($requestParameters = array())
     {
 
+        $parameters           = array();
         $parameters['Action'] = 'GetOrderReferenceDetails';
         $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
+            'merchant_id'               => 'SellerId',
             'amazon_order_reference_id' => 'AmazonOrderReferenceId',
-            'address_consent_token' 	=> 'AddressConsentToken',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-        return ($responseObject);
-    }
+            'address_consent_token'     => 'AddressConsentToken',
+            'access_token'              => 'AccessToken',
+            'mws_auth_token'            => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
+
+    /* ListOrderReference API call - Returns details about the Order Reference object and its current state from the sellers.
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751970
+     *
+     * @param requestParameters['merchant_id'] - [String]
+     * @param requestParameters['query_id'] - [String]
+     * @param requestParameters['query_id_type'] - [String] (SellerOrderId)
+     * @optional requestParameters['page_size'] - [Int]
+     * @optional requestParameters['created_start_time'] - [String] (Date/Time ISO8601)
+     * @optional requestParameters['created_end_time'] - [String] (Date/Time ISO8601) Limited to 31 days
+     * @optional requestParameters['sort_order'] - [String] (Ascending/Descending)
+     * @optional requestParameters['mws_auth_token'] - [String]
+     * @optional requestParameters['status_list'] - [Array]
+     */
+    public function listOrderReference($requestParameters = array())
+    {
+        $parameters           = array();
+        $parameters['Action'] = 'ListOrderReference';
+        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
+
+        $payment_domains = array(
+            "us"    => "NA_USD",
+            "jp"    => "FE_JPY",
+            "de"    => "EU_EUR",
+            "uk"    => "EU_GBP"
+        );
+
+        $requestParameters['payment_domain'] = $payment_domains[strtolower($this->config['region'])];
+
+        $fieldMappings = array(
+            'merchant_id'        => 'SellerId',
+            'mws_auth_token'     => 'MWSAuthToken',
+            
+            'query_id'           => 'QueryId',
+            'query_id_type'      => 'QueryIdType',
+            'page_size'          => 'PageSize',
+            'created_start_time' => 'CreatedTimeRange.StartTime',
+            'created_end_time'   => 'CreatedTimeRange.EndTime',
+            'sort_order'         => 'SortOrder',
+            'payment_domain'     => 'PaymentDomain'
+        );
+
+        if( $requestParameters['order_status_list'] ){
+            $status_index = 0;
+            foreach ($requestParameters['order_status_list'] as $status) {
+                $status_index++;
+                $requestParameters['order_status_list_'.$status_index] = $status;
+                $fieldMappings['order_status_list_'.$status_index] = 'OrderReferenceStatusListFilter.OrderReferenceStatus.'.$status_index;
+            }
+        }
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+
+        return ($responseObject);
+    }
+
+    /* ListOrderReferenceByNextToken API call - Returns details about the Order Reference object and its current
+     * state from the sellers.
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751970
+     *
+     * @param requestParameters['merchant_id'] - [String]
+     * @param requestParameters['next_token'] - [String]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     */
+    public function listOrderReferenceByNextToken($requestParameters = array())
+    {
+        $parameters           = array();
+        $parameters['Action'] = 'ListOrderReferenceByNextToken';
+        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
+
+        $fieldMappings = array(
+            'merchant_id'    => 'SellerId',
+            'mws_auth_token' => 'MWSAuthToken',
+            
+            'next_page_token' => 'NextPageToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
 
     /* SetOrderReferenceDetails API call - Sets order reference details such as the order total and a description for the order.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_SetOrderReferenceDetails.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751960
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -507,7 +705,8 @@
      * @optional requestParameters['store_name'] - [String]
      * @optional requestParameters['custom_information'] - [String]
-     * @optional requestParameters['mws_auth_token'] - [String]
-     */
-
+     * @optional requestParameters['supplementary_data'] - [String]
+     * @optional requestParameters['request_payment_authorization'] - [Boolean]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     */
     public function setOrderReferenceDetails($requestParameters = array())
     {
@@ -517,48 +716,109 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
+            'merchant_id'                   => 'SellerId',
+            'amazon_order_reference_id'     => 'AmazonOrderReferenceId',
+            'amount'                        => 'OrderReferenceAttributes.OrderTotal.Amount',
+            'currency_code'                 => 'OrderReferenceAttributes.OrderTotal.CurrencyCode',
+            'platform_id'                   => 'OrderReferenceAttributes.PlatformId',
+            'seller_note'                   => 'OrderReferenceAttributes.SellerNote',
+            'seller_order_id'               => 'OrderReferenceAttributes.SellerOrderAttributes.SellerOrderId',
+            'store_name'                    => 'OrderReferenceAttributes.SellerOrderAttributes.StoreName',
+            'custom_information'            => 'OrderReferenceAttributes.SellerOrderAttributes.CustomInformation',
+            'supplementary_data'            => 'OrderReferenceAttributes.SellerOrderAttributes.SupplementaryData',
+            'request_payment_authorization' => 'OrderReferenceAttributes.RequestPaymentAuthorization',
+            'mws_auth_token'                => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
+
+    /* SetOrderAttributes API call - Sets order reference details such as the order total and a description for the order.
+     *
+     * @param requestParameters['merchant_id'] - [String]
+     * @param requestParameters['amazon_order_reference_id'] - [String]
+     * @optional requestParameters['amount'] - [String]
+     * @optional requestParameters['currency_code'] - [String]
+     * @optional requestParameters['platform_id'] - [String]
+     * @optional requestParameters['seller_note'] - [String]
+     * @optional requestParameters['seller_order_id'] - [String]
+     * @optional requestParameters['store_name'] - [String]
+     * @optional requestParameters['custom_information'] - [String]
+     * @optional requestParameters['supplementary_data'] - [String]
+     * @optional requestParameters['request_payment_authorization'] - [Boolean]
+     * @optional requestParameters['payment_service_provider_id'] - [String]
+     * @optional requestParameters['payment_service_provider_order_id'] - [String]
+     * @optional requestParameters['order_item_categories'] - [array()]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     */
+    public function setOrderAttributes($requestParameters = array())
+    {
+        $parameters           = array();
+        $parameters['Action'] = 'SetOrderAttributes';
+        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
+
+        $fieldMappings = array(
+            'merchant_id'                       => 'SellerId',
+            'amazon_order_reference_id'         => 'AmazonOrderReferenceId',
+            'amount'                            => 'OrderAttributes.OrderTotal.Amount',
+            'currency_code'                     => 'OrderAttributes.OrderTotal.CurrencyCode',
+            'platform_id'                       => 'OrderAttributes.PlatformId',
+            'seller_note'                       => 'OrderAttributes.SellerNote',
+            'seller_order_id'                   => 'OrderAttributes.SellerOrderAttributes.SellerOrderId',
+            'store_name'                        => 'OrderAttributes.SellerOrderAttributes.StoreName',
+            'custom_information'                => 'OrderAttributes.SellerOrderAttributes.CustomInformation',
+            'supplementary_data'                => 'OrderAttributes.SellerOrderAttributes.SupplementaryData',
+            'request_payment_authorization'     => 'OrderAttributes.RequestPaymentAuthorization',
+            'payment_service_provider_id'       => 'OrderAttributes.PaymentServiceProviderAttributes.PaymentServiceProviderId',
+            'payment_service_provider_order_id' => 'OrderAttributes.PaymentServiceProviderAttributes.PaymentServiceProviderOrderId',
+            'order_item_categories'             => array(),
+            'mws_auth_token'                    => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
+
+    /* ConfirmOrderReference API call - Confirms that the order reference is free of constraints and all required information has been set on the order reference.
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751980
+     *
+     * @param requestParameters['merchant_id'] - [String]
+     * @param requestParameters['amazon_order_reference_id'] - [String]
+     * @optional requestParameters['success_url'] - [String]
+     * @optional requestParameters['failure_url'] - [String]
+     * @optional requestParameters['authorization_amount'] - [String]
+     * @optional requestParameters['currency_code'] - [String]
+     * @optional requestParameters['mws_auth_token'] - [String]
+     */
+    public function confirmOrderReference($requestParameters = array())
+    {
+        $parameters           = array();
+        $parameters['Action'] = 'ConfirmOrderReference';
+        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
+
+        $fieldMappings = array(
+            'merchant_id'               => 'SellerId',
             'amazon_order_reference_id' => 'AmazonOrderReferenceId',
-            'amount' 			=> 'OrderReferenceAttributes.OrderTotal.Amount',
-            'currency_code' 		=> 'OrderReferenceAttributes.OrderTotal.CurrencyCode',
-            'platform_id' 		=> 'OrderReferenceAttributes.PlatformId',
-            'seller_note' 		=> 'OrderReferenceAttributes.SellerNote',
-            'seller_order_id' 		=> 'OrderReferenceAttributes.SellerOrderAttributes.SellerOrderId',
-            'store_name' 		=> 'OrderReferenceAttributes.SellerOrderAttributes.StoreName',
-            'custom_information'	=> 'OrderReferenceAttributes.SellerOrderAttributes.CustomInformation',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-	return ($responseObject);
-    }
-
-    /* ConfirmOrderReferenceDetails API call - Confirms that the order reference is free of constraints and all required information has been set on the order reference.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_ConfirmOrderReference.html
-
-     * @param requestParameters['merchant_id'] - [String]
-     * @param requestParameters['amazon_order_reference_id'] - [String]
-     * @optional requestParameters['mws_auth_token'] - [String]
-     */
-
-    public function confirmOrderReference($requestParameters = array())
-    {
-        $parameters           = array();
-        $parameters['Action'] = 'ConfirmOrderReference';
-        $requestParameters    = array_change_key_case($requestParameters, CASE_LOWER);
-
-        $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
-            'amazon_order_reference_id' => 'AmazonOrderReferenceId',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-        return ($responseObject);
-    }
-
-    /* CancelOrderReferenceDetails API call - Cancels a previously confirmed order reference.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_CancelOrderReference.html
+            'success_url'               => 'SuccessUrl',
+            'failure_url'               => 'FailureUrl',
+            'authorization_amount'      => 'AuthorizationAmount.Amount',
+            'currency_code'             => 'AuthorizationAmount.CurrencyCode',
+            'mws_auth_token'            => 'MWSAuthToken'
+        );
+
+        if (isset($requestParameters['authorization_amount']) && !isset($requestParameters['currency_code'])) {
+            $requestParameters['currency_code'] = strtoupper($this->config['currency_code']);
+        }
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+
+        return ($responseObject);
+    }
+
+
+    /* CancelOrderReference API call - Cancels a previously confirmed order reference.
+     * @see https://pay.amazon.com/developer/documentation/apireference/201751990
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -567,5 +827,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function cancelOrderReference($requestParameters = array())
     {
@@ -575,18 +834,19 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
+            'merchant_id'               => 'SellerId',
             'amazon_order_reference_id' => 'AmazonOrderReferenceId',
-            'cancelation_reason' 	=> 'CancelationReason',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-	return ($responseObject);
-    }
-
-    /* CloseOrderReferenceDetails API call - Confirms that an order reference has been fulfilled (fully or partially)
+            'cancelation_reason'        => 'CancelationReason',
+            'mws_auth_token'            => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+
+        return ($responseObject);
+    }
+
+
+    /* CloseOrderReference API call - Confirms that an order reference has been fulfilled (fully or partially)
      * and that you do not expect to create any new authorizations on this order reference.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_CloseOrderReference.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752000
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -595,5 +855,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function closeOrderReference($requestParameters = array())
     {
@@ -603,17 +862,18 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
+            'merchant_id'               => 'SellerId',
             'amazon_order_reference_id' => 'AmazonOrderReferenceId',
-            'closure_reason' 		=> 'ClosureReason',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-        return ($responseObject);
-    }
+            'closure_reason'            => 'ClosureReason',
+            'mws_auth_token'            => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+
+        return ($responseObject);
+    }
+
 
     /* CloseAuthorization API call - Closes an authorization.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_CloseOrderReference.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752070
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -622,5 +882,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function closeAuthorization($requestParameters = array())
     {
@@ -630,8 +889,8 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
-            'amazon_authorization_id' 	=> 'AmazonAuthorizationId',
-            'closure_reason' 		=> 'ClosureReason',
-            'mws_auth_token' 		=> 'MWSAuthToken'
+            'merchant_id'         => 'SellerId',
+            'amazon_authorization_id'     => 'AmazonAuthorizationId',
+            'closure_reason'         => 'ClosureReason',
+            'mws_auth_token'         => 'MWSAuthToken'
         );
 
@@ -642,5 +901,5 @@
 
     /* Authorize API call - Reserves a specified amount against the payment method(s) stored in the order reference.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_Authorize.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752010
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -649,5 +908,5 @@
      * @param requestParameters['currency_code'] - [String]
      * @param requestParameters['authorization_reference_id'] [String]
-     * @optional requestParameters['capture_now'] [String]
+     * @optional requestParameters['capture_now'] [Boolean]
      * @optional requestParameters['provider_credit_details'] - [array (array())]
      * @optional requestParameters['seller_authorization_note'] [String]
@@ -657,4 +916,5 @@
      */
 
+
     public function authorize($requestParameters = array())
     {
@@ -664,24 +924,25 @@
 
         $fieldMappings = array(
-            'merchant_id' 		 => 'SellerId',
+            'merchant_id'                => 'SellerId',
             'amazon_order_reference_id'  => 'AmazonOrderReferenceId',
-            'authorization_amount' 	 => 'AuthorizationAmount.Amount',
-            'currency_code' 		 => 'AuthorizationAmount.CurrencyCode',
+            'authorization_amount'       => 'AuthorizationAmount.Amount',
+            'currency_code'              => 'AuthorizationAmount.CurrencyCode',
             'authorization_reference_id' => 'AuthorizationReferenceId',
-            'capture_now' 		 => 'CaptureNow',
-	    'provider_credit_details'	 => array(),
+            'capture_now'                => 'CaptureNow',
+            'provider_credit_details'    => array(),
             'seller_authorization_note'  => 'SellerAuthorizationNote',
-            'transaction_timeout' 	 => 'TransactionTimeout',
-            'soft_descriptor' 		 => 'SoftDescriptor',
-            'mws_auth_token' 		 => 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-        return ($responseObject);
-    }
+            'transaction_timeout'        => 'TransactionTimeout',
+            'soft_descriptor'            => 'SoftDescriptor',
+            'mws_auth_token'             => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+
+        return ($responseObject);
+    }
+
 
     /* GetAuthorizationDetails API call - Returns the status of a particular authorization and the total amount captured on the authorization.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_GetAuthorizationDetails.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752030
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -689,5 +950,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function getAuthorizationDetails($requestParameters = array())
     {
@@ -697,16 +957,15 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
-            'amazon_authorization_id' 	=> 'AmazonAuthorizationId',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
+            'merchant_id'             => 'SellerId',
+            'amazon_authorization_id' => 'AmazonAuthorizationId',
+            'mws_auth_token'          => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
         return ($responseObject);
     }
 
     /* Capture API call - Captures funds from an authorized payment instrument.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_Capture.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752040
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -720,5 +979,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function capture($requestParameters = array())
     {
@@ -728,22 +986,22 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
-            'amazon_authorization_id' 	=> 'AmazonAuthorizationId',
-            'capture_amount' 		=> 'CaptureAmount.Amount',
-            'currency_code' 		=> 'CaptureAmount.CurrencyCode',
-            'capture_reference_id' 	=> 'CaptureReferenceId',
-	    'provider_credit_details'	=> array(),
-            'seller_capture_note' 	=> 'SellerCaptureNote',
-            'soft_descriptor' 		=> 'SoftDescriptor',
-            'mws_auth_token' 		=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-	return ($responseObject);
-    }
+            'merchant_id'             => 'SellerId',
+            'amazon_authorization_id' => 'AmazonAuthorizationId',
+            'capture_amount'          => 'CaptureAmount.Amount',
+            'currency_code'           => 'CaptureAmount.CurrencyCode',
+            'capture_reference_id'    => 'CaptureReferenceId',
+            'provider_credit_details' => array(),
+            'seller_capture_note'     => 'SellerCaptureNote',
+            'soft_descriptor'         => 'SoftDescriptor',
+            'mws_auth_token'          => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
 
     /* GetCaptureDetails API call - Returns the status of a particular capture and the total amount refunded on the capture.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_GetCaptureDetails.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752060
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -751,5 +1009,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function getCaptureDetails($requestParameters = array())
     {
@@ -759,16 +1016,16 @@
 
         $fieldMappings = array(
-            'merchant_id' 		=> 'SellerId',
+            'merchant_id'       => 'SellerId',
             'amazon_capture_id' => 'AmazonCaptureId',
-            'mws_auth_token' 	=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-        return ($responseObject);
-    }
+            'mws_auth_token'    => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
 
     /* Refund API call - Refunds a previously captured amount.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_Refund.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752080
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -782,5 +1039,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function refund($requestParameters = array())
     {
@@ -790,22 +1046,22 @@
 
         $fieldMappings = array(
-            'merchant_id' 	  					=> 'SellerId',
-            'amazon_capture_id'   				=> 'AmazonCaptureId',
-            'refund_reference_id' 				=> 'RefundReferenceId',
-            'refund_amount' 	  				=> 'RefundAmount.Amount',
-            'currency_code' 	  				=> 'RefundAmount.CurrencyCode',
-			'provider_credit_reversal_details'	=> array(),
-            'seller_refund_note'  				=> 'SellerRefundNote',
-            'soft_descriptor' 	  				=> 'SoftDescriptor',
-            'mws_auth_token' 	  				=> 'MWSAuthToken'
-        );
-
-        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
-
-        return ($responseObject);
-    }
+            'merchant_id'                      => 'SellerId',
+            'amazon_capture_id'                => 'AmazonCaptureId',
+            'refund_reference_id'              => 'RefundReferenceId',
+            'refund_amount'                    => 'RefundAmount.Amount',
+            'currency_code'                    => 'RefundAmount.CurrencyCode',
+            'provider_credit_reversal_details' => array(),
+            'seller_refund_note'               => 'SellerRefundNote',
+            'soft_descriptor'                  => 'SoftDescriptor',
+            'mws_auth_token'                   => 'MWSAuthToken'
+        );
+
+        $responseObject = $this->setParametersAndPost($parameters, $fieldMappings, $requestParameters);
+        return ($responseObject);
+    }
+
 
     /* GetRefundDetails API call - Returns the status of a particular refund.
-     * @see http://docs.developer.amazonservices.com/en_US/off_amazon_payments/OffAmazonPayments_GetRefundDetails.html
+     * @see https://pay.amazon.com/developer/documentation/apireference/201752100
      *
      * @param requestParameters['merchant_id'] - [String]
@@ -813,5 +1069,4 @@
      * @optional requestParameters['mws_auth_token'] - [String]
      */
-
     public function getRefundDetails($requestParameters = array())
     {
